RUF = LibStub("AceAddon-3.0"):NewAddon("RUF", "AceConsole-3.0", "AceEvent-3.0")
local LSM = LibStub("LibSharedMedia-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("RUF")
local cfg

function RUF:ChatCommand(input)
	if not IsAddOnLoaded("RUF_Options") then
		InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
		InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
	end
	InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
	InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
end

function RUF:RefreshConfig()
	-- TODO: Popup beforehand?
	ReloadUI()
	--self:SetSinkStorage(self.db.profile)
	--self:Disable()
	--self:Enable()
end

do -- Adds a blank RUF Panel to the Blizzard Addon Options window, which upon clicked loads RUF Options. No more need to use /RUF.
	local frame = CreateFrame("Frame", nil, UIParent)
	frame.name = "RUF"
	frame:Hide()
	local function removeFrame()
		for k, f in next, INTERFACEOPTIONS_ADDONCATEGORIES do
			if f == frame then
				tremove(INTERFACEOPTIONS_ADDONCATEGORIES, k)
				break
			end
		end
	end
	frame:SetScript("OnShow", function()
		removeFrame()
		local loaded, reason = LoadAddOn("RUF_Options")
		InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
		InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
		if not loaded then
			if reason == "DISABLED" or reason == "INTERFACE_VERSION" then
				ChatFrame1:AddMessage("RUF [|c5500DBBDOptions|r] ")-- .. L.OptionsDisabled)
			elseif reason == "MISSING" or reason == "CORRUPT" then
				ChatFrame1:AddMessage("RUF [|c5500DBBDOptions|r] ")-- .. L.OptionsMissing)
			end
		end
	end)
	InterfaceOptions_AddCategory(frame)
end
